//
//  HomeViewController.m
//  GtSdkDemo
//
//  Created by ak on 2020/03/20.
//  Copyright © 2019 Gexin Interactive (Beijing) Network Technology Co.,LTD. All rights reserved.
//

#import "HomeViewController.h"

@interface HomeViewController ()<OneIDDelegate>
@property (weak, nonatomic) IBOutlet UITextView *textView;
@end

@implementation HomeViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"个推演示";
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
}

- (IBAction)btnClick:(id)sender {
    //替换成自己的appid
    [OneID startSdkWithAppId:@"LLNstWgyGm8UM2SsherlU3" delegate:self];
}

- (IBAction)queryClick:(id)sender {
    [OneID queryLbs];
}

- (IBAction)fetchClick:(id)sender {
    self.textView.text = [OneID oneIDFetchInfo].description;
}

//MARK: - OneID Delegate
- (void)OneIDFetch:(NSDictionary *)info error:(NSError *)error {
    NSLog(@"OneIDFetch:%@ error:%@", info, error);
    if (error) {
        self.textView.text = [error localizedDescription];
    } else {
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:info options:NSJSONWritingPrettyPrinted error:nil];
        NSString *jsonString = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
        self.textView.text = jsonString;
    }
}

- (void)OneIDQueryLbs:(NSDictionary *)info error:(NSError *)error {
    NSLog(@"OneIDQueryLbs:%@ error:%@", info, error);
    if (error) {
        self.textView.text = [error localizedDescription];
    } else {
        NSData *jsonData = [NSJSONSerialization dataWithJSONObject:info options:NSJSONWritingPrettyPrinted error:nil];
        NSString *jsonString = [[NSString alloc] initWithData:jsonData encoding:NSUTF8StringEncoding];
        self.textView.text = jsonString;
    }
}
@end
